Subject: bug#15796: 24.3.50; rectangle-mark: Display issues in presence of TABs

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Nov 2013 09:01:15 -0500

> With the selection in that state, move the cursor right or left by one
> character.  The text or rather the display moves.  It is disconcerting
> to see the movement.  I count this as a bug.  WDYT...

In order to *display* the zero-width rectangle, I have to add
a (display-only) thin space, which does shift the rest of the text by
a few pixels.

We could make it customizable: either you see the zero-width rectangle
and you live with the corresponding "display moves", or you don't see
the zero-width rectangle.

Of course, there might be other ways to represent the rectangle that
don't suffer from this problem (e.g. only highlight the position of the
mark, but not the line between the mark and point).  If the display
engine offered a way to overlay (rather than insert) glyphs/graphics, we
would have more options.

        Stefan